Summary:        A tool that can create deltas between rpms
Name:           deltarpm
Version:        3.6.3
Release:        5%{?dist}
License:        BSD
URL:            https://github.com/rpm-software-management/deltarpm
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc make
BuildRequires:  xz-devel rpm-devel perl-generators
BuildRequires:  popt-devel zlib-devel bzip2-devel libzstd-devel 

%description
A deltarpm contains the difference between an old and a new version 
of a rpm, which makes it possible to recreate the new rpm from the 
deltarpm and the old one. You don't have to have a copy of the old rpm, 
deltarpms can also work with installed rpms.


%package -n drpmsync
Summary:        Sync a file tree with deltarpms
Requires:       %{name} = %{version}-%{release}

%description -n drpmsync
This package contains a tool to sync a file tree with
deltarpms.


%package -n deltaiso
Summary:        Create deltas between isos containing rpms
Requires:       %{name} = %{version}-%{release}

%description -n deltaiso
This package contains tools for creating and using deltasisos,
a difference between an old and a new iso containing rpms.


%package -n python3-%{name}
Summary:        Python3 bindings for deltarpm
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}

%description -n python3-%{name}
This package contains python3 bindings for deltarpm.


%prep
%autosetup -p1


%build
%make_build  CFLAGS="%{optflags}" \
             zlibbundled='' zlibldflags='-lz' zlibcppflags='' \
             all python


%install
%make_install prefix=%{_prefix}  mandir=%{_mandir}


%files
%license LICENSE.BSD
%doc README NEWS
%{_mandir}/man8/*rpm.8.gz
%{_bindir}/*rpm
%{_bindir}/rpmdumpheader


%files -n deltaiso
%{_mandir}/man8/*iso.8.gz
%{_bindir}/*iso


%files -n drpmsync
%{_mandir}/man8/drpmsync.8.gz
%{_bindir}/drpmsync


%files -n python3-%{name}
%{python3_sitearch}/deltarpm.py
%{python3_sitearch}/_deltarpmmodule.so
%{python3_sitearch}/__pycache__/*.pyc


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 doriscchao <doriscchao@tencent.com> - 3.6.3-1
- initial build, Version 3.6.3, Release 1
